Bug Hunting Session
Bug 50941 - "Characters per line" will not change when changing "Max base text size".
Summary: "Characters per line" will not change when changing "Max base text size".
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 09:49 UTC by jun meguro
Modified: 2013-05-28 18:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
explanation document (116.47 KB, application/pdf)
2012-06-10 09:49 UTC, jun meguro
Details
Grid Screen shot (125.22 KB, image/png)
2012-07-08 06:11 UTC, jun meguro
Details
page-style default in writer LO 3.5.5.2 under openSuSE 11.4 32 bit (37.04 KB, image/png)
2012-07-08 07:55 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2012-06-10 09:49:03 UTC
Created attachment 62861 [details]
explanation document

1. Open new text document.
2. Format > Page > Text Grid
3. Select "Grid(linex and characters)".
4. Set some number to "Max . base text size".
5. The maximum value of the "Lines per page" to change depending on the value of "Max. Base text size".
6. However, the maximum value of the "Characters per line" does not change.
7. Close the dialog by clicking  "OK".
8. Format > Page > Text Grid
9. the maximum value of the "characters per line" will change.
Comment 1 Robert Großkopf 2012-07-07 12:49:58 UTC
Is this an addon? There is no grid at this position with this features in any version of the writer I have: LO 3.3.4 and LO 3.5.5.2 on OpenSuSE 32bit.

Robert
Comment 2 jun meguro 2012-07-08 06:11:06 UTC
Created attachment 63971 [details]
Grid Screen shot

format > Page > Text Grid
is here.
Comment 3 Robert Großkopf 2012-07-08 07:55:35 UTC
Created attachment 63976 [details]
page-style default in writer LO 3.5.5.2 under openSuSE 11.4 32 bit

There is not text-grid in my installation of LO 3.5.5.2 under OpenSuSE 11.4 32bit and KDE.
Comment 4 jun meguro 2012-07-09 13:12:36 UTC
Please check 

 Tool > Options > Language settings > languages > Enabled Asian languages
 
If that is ON, the tab of the "text grid" will appear.
Comment 5 Robert Großkopf 2012-07-09 14:08:05 UTC
Now I have found it. You are right: "Max. base text size" changes only "Lines per page". "Characters per line" were automatically set and must be corrected after closing and opening the dialog again.
I have changed the Status to "new".
Comment 6 Not Assigned 2012-08-14 09:54:50 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89587e6cf1182095e52f6c5a3ddab35c783fca2e

fdo#50941: "Characters per line" will not change when changing "Max base text size"
Comment 7 Björn Michaelsen 2013-05-28 18:24:12 UTC
closing as per Comment 6.